.dialog__wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    z-index: 10000;
}

.dialog {
    position: relative;
    width: 100%;
    min-width: 300px;
    max-width: 400px;
    background: white;
    border-radius: 24px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
    /* animation: dialogSlideIn 0.2s ease; */
    /* opacity: 0; */
    /* visibility: hidden; */
    /* transition: opacity 0.2s ease, visibility 0.2s ease; */
}

.dialog--visible {
    opacity: 1;
    visibility: visible;
}

.dialog__content {
    padding: 24px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

@keyframes dialogSlideIn {
    from {
        transform: translateY(-20px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.dialog__title {
    font-size: 18px;
    font-weight: 600;
    margin-top: 24px;
    text-align: start;
    color: #1f2937;
}

.dialog__message {
    margin-top: 24px;
    font-size: 16px;
    color: var(--color-secondary);
    font-weight: 500;
    text-align: center;
    line-height: 1.5;
    margin-top: 24px;
}

.dialog__actions-wrapper {
    margin-top: 32px;
    display: flex;
    gap: 12px;
    justify-content: center;
}

.dialog__close-button {
    position: absolute;
    width: 32px;
    height: 32px;
    top: 12px;
    right: 12px;
    border-radius: 100%;
    color: #9ca3af;
    background-color: rgba(0, 0, 0, 0.05);
    border: none;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    overflow: hidden;
}
.dialog__close-button:hover {
    background-color: rgba(0, 0, 0, 0.1);
    color: #374151;
}


.dialog-button {
    padding: 8px 32px;
}
